#!/bin/sh
# Startup script for a simple reviewer application based on the AuthorComponent.
# (c) 2006 Syncro Soft Ltd.

oldpwd=`pwd`

# Resolve the location of the reviewer.
# This includes resolving any symlinks.
PRG=$0
cd "`dirname "$PRG"`"
PRG=`basename "$PRG"`

while [ -L "$PRG" ]
do
	PRG="`readlink "$PRG"`"
	cd "`dirname "$PRG"`"
	PRG="`basename "$PRG"`"
done

REVIEWER_HOME=`dirname "$PRG"`

# Absolutize dir
cd "${REVIEWER_HOME}"; REVIEWER_HOME=`pwd`
cd "${oldpwd}"; unset oldpwd

export PATH=$PATH:$REVIEWER_HOME/lib
export DYLD_LIBRARY_PATH=$DYLD_LIBRARY_PATH:$REVIEWER_HOME/lib

# Classpath
CP="$REVIEWER_HOME/lib/:$REVIEWER_HOME/lib/oxygen.jar:$REVIEWER_HOME/lib/log4j.jar:$REVIEWER_HOME/lib/jide.jar:$REVIEWER_HOME/lib/oxygen-xercesImpl.jar:$REVIEWER_HOME/lib/xml-apis-ext.jar:$REVIEWER_HOME/lib/oxygen-resolver.jar:$REVIEWER_HOME/lib/jna.jar:$REVIEWER_HOME/lib/dicts-hunspell.jar:$REVIEWER_HOME/lib/oxygen-saxon9he.jar:$REVIEWER_HOME/lib/oxygen-saxon.jar:$REVIEWER_HOME/lib/oxygenTokenMarkers.jar:$REVIEWER_HOME/lib/xml-apis.jar:$REVIEWER_HOME/lib/nekohtml.jar:$REVIEWER_HOME/classes:$REVIEWER_HOME:$REVIEWER_HOME/dist/lib/libhunspell-darwin-x86-32.jar:$REVIEWER_HOME/dist/lib/libhunspell-darwin-x86-64.jar"
#
# The command line parameters are ignored.
#
java -Xdock:name="Oxygen XML Editor"\
 -Dcom.oxygenxml.editor.plugins.dir="$REVIEWER_HOME/plugins"\
 -Dcom.oxygenxml.app.descriptor=ro.sync.exml.EditorFrameDescriptor\
 -Xmx512m\
 -XX:SoftRefLRUPolicyMSPerMB=10\
 -XX:MaxPermSize=256m\
 -cp "$CP" ro.sync.ecss.samples.reviewer.Main "$@"
