/*
 *  The Syncro Soft SRL License
 *
 *  Copyright (c) 1998-2012 Syncro Soft SRL, Romania.  All rights
 *  reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *  1. Redistribution of source or in binary form is allowed only with
 *  the prior written permission of Syncro Soft SRL.
 *
 *  2. Redistributions of source code must retain the above copyright
 *  notice, this list of conditions and the following disclaimer.
 *
 *  3. Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in
 *  the documentation and/or other materials provided with the
 *  distribution.
 *
 *  4. The end-user documentation included with the redistribution,
 *  if any, must include the following acknowledgment:
 *  "This product includes software developed by the
 *  Syncro Soft SRL (http://www.sync.ro/)."
 *  Alternately, this acknowledgment may appear in the software itself,
 *  if and wherever such third-party acknowledgments normally appear.
 *
 *  5. The names "Oxygen" and "Syncro Soft SRL" must
 *  not be used to endorse or promote products derived from this
 *  software without prior written permission. For written
 *  permission, please contact support@oxygenxml.com.
 *
 *  6. Products derived from this software may not be called "Oxygen",
 *  nor may "Oxygen" appear in their name, without prior written
 *  permission of the Syncro Soft SRL.
 *
 *  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 *  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 *  OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 *  DISCLAIMED.  IN NO EVENT SHALL THE SYNCRO SOFT SRL OR
 *  ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 *  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 *  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 *  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 *  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 *  SUCH DAMAGE.
 */
package ro.sync.ecss.extensions.commons;

import ro.sync.annotations.api.API;
import ro.sync.annotations.api.APIType;
import ro.sync.annotations.api.SourceType;

/**
 * The collection of the extension messages.
 */
@API(type=APIType.INTERNAL, src=SourceType.PUBLIC)
public interface ExtensionTags {
  /**
   * Head checkbox in the TEI table customizer dialog.
   * 
   * en: Head
   */
  String HEAD = "Head";
  /**
   * 'Frame' label text.
   * 
   * en: Frame
   */
  String FRAME = "Frame";
  /**
   * Column widths
   * 
   * en: Column widths
   */
  String COLUMN_WIDTHS = "Column_widths";
  /**
   * 'Generate table footer' checkbox text.
   * 
   * en: Generate table footer
   */
  String GENERATE_TABLE_FOOTER = "Generate_table_footer";
  /**
   * 'Generate table header' checkbox text.
   * 
   * en: Generate table header
   */
  String GENERATE_TABLE_HEADER = "Generate_table_header";
  /**
   * Columns
   * 
   * en: Columns
   */
  String COLUMNS = "Columns";
  /**
   * Rows
   * 
   * en: Rows
   */
  String ROWS = "Rows";
  /**
   * Table size.
   * 
   * en: Table Size
   */
  String TABLE_SIZE = "Table_size";
  /**
   * 'Simple' button text.
   * 
   * en: Simple
   */
  String SIMPLE = "Simple";
  /**
   * Name for a model chooser group.
   * 
   * en: Model
   */
  String MODEL = "Model";
  /**
   * Insert table dialog title.
   * 
   * en: Insert Table
   */
  String INSERT_TABLE = "Insert_table";
  /**
   * Insert choice table dialog title.
   * 
   * en: Insert Choice Table
   */
  String INSERT_CHOICE_TABLE = "Insert_choice_table";
  /**
   * Insert table dialog title.
   * 
   * en: Insert Table
   */
  String INSERT_COLUMN = "insert.table.column";
  /**
   * 
   * 'Remove ID's when copying content in the same document' button text.
   * 
   * en: Remove ID's when copying content in the same document
   */
  String REMOVE_IDS_ON_COPY_IN_SAME_DOC = "Remove_ids_on_copy_in_same_doc";
  /**
   * 
   * 
   * en: Remove
   */
  String REMOVE = "Remove";
  /**
   * 
   * 
   * en: Edit
   */
  String EDIT = "Edit";
  /**
   * 
   * 
   * en: Add
   */
  String ADD = "Add";
  /**
   * 'ID pattern' label text.
   * 
   * en: ID Pattern:
   */
  String ID_PATTERN = "ID_pattern";
  /**
   * 'Auto generate ID's for elements' button text.
   * 
   * en: Auto generate ID's for elements
   */
  String AUTOGENERATE_IDS_FOR_ELEMENTS = "Autogenerate_ids_for_elements";
  /**
   * Title for ID elements customizer dialog.
   * 
   * en: ID Options
   */
  String ID_OPTIONS = "ID_options";
  /**
   * Image file chooser file description.
   * 
   * en: Image files
   */
  String IMAGE_FILES = "Image_files";
  /**
   * Image file chooser title.
   * 
   * en: Choose image
   */
  String CHOOSE_IMAGE = "Choose_image";
  /**
   * Title checkbox in the DITA relationship table customizer dialog.
   * 
   * en: Title
   */
  String TITLE = "Title";
  /**
   * The title table tooltip for title checkbox in TEI table customizer dialog.
   * 
   * en: The title for the table
   */
  String TITLE_TABLE = "Title_table";
  /**
   * Title for DITA relationship table customizer dialog. 
   * 
   * en: Insert Relationship Table
   */
  String INSERT_RELATIONSHIP_TABLE = "Insert_relationship_table";
  /**
   * Tooltip for insert 'informalTable' in Docbook table customizer dialog. 
   * 
   * en: If not checked an 'informaltable' will be inserted.
   */
  String INSERT_INFORMAL_TABLE_TOOLTIP = "Insert_informal_table_tooltip";
  /**
   * 'Insert entry table' title for Docbook table customizer dialog. 
   * 
   * en: Insert Entry Table
   */
  String INSERT_ENTRY_TABLE = "Insert_entry_table";
  /**
   * Caption checkbox in the XHTML table customizer dialog.
   * 
   * en: Caption
   */
  String CAPTION = "Caption";
  /**
   * Message shown on paste column handling.
   */
  String HANDLE_PASTE_COLUMN_FAIL_MESSAGE = "handle.paste.column.warning";
  /**
   * Cancel message.
   */
  String CANCEL = "cancel";
  /**
   * Continue message
   */
  String CONTINUE = "continue";
  /**
   * Insert web link (link) dialog title.
   */
  String INSERT_WEB_LINK = "insert.web.link";
  /**
   * Insert web link (ulink) dialog title.
   */
  String INSERT_WEB_ULINK = "insert.web.ulink";
}